/*
 *  Copyright (C) 2002-25 - ntop.org
 *
 *  http://www.ntop.org/
 *
 * This code is proprietary code subject to the terms and conditions 
 * defined in LICENSE file which is part of this source code package.
 */


#ifndef IGNORE_LUA

#include "lua.h"
#include "lauxlib.h"

#define CONST_LUA_OK                  1
#define CONST_LUA_ERROR               0
#define CONST_LUA_PARAM_ERROR         -1

/* ********************** */

typedef struct {
  const char *class_name;
  const luaL_Reg *class_methods;
} ntop_class_reg;

/* ********************** */

extern lua_State* initLuaInterpreter();
extern void termLuaInterpreter(lua_State *L);
extern int luaEvalFlow(lua_State *L, FlowHashBucket *flow);

extern void lua_push_str_table_entry(lua_State *L, const char *key, char *value);
extern void lua_push_nil_table_entry(lua_State *L, const char *key);
extern void lua_push_bool_table_entry(lua_State *L, const char *key, u_int8_t value);
extern void lua_push_int_table_entry(lua_State *L, const char *key, u_int64_t value);
extern void lua_push_int32_table_entry(lua_State *L, const char *key, int32_t value);
extern void lua_push_float_table_entry(lua_State *L, const char *key, float value);
extern void addFlowLuaCommonElements(FlowHashBucket* theFlow);

#endif /* WIN32 */